# Uses of Interface
org.eclipse.ui.wizards.IWizardRegistry

Packages that use IWizardRegistry
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of IWizardRegistry in org.eclipse.ui

Methods in org.eclipse.ui that return IWizardRegistry
Modifier and Type
Method
Description
`IWizardRegistry`
IWorkbench.`getExportWizardRegistry()`
Return the export wizard registry.
`IWizardRegistry`
IWorkbench.`getImportWizardRegistry()`
Return the import wizard registry.
`IWizardRegistry`
IWorkbench.`getNewWizardRegistry()`
Return the new wizard registry.

## Uses of IWizardRegistry in org.eclipse.ui.navigator

Constructors in org.eclipse.ui.navigator with parameters of type IWizardRegistry
Modifier
Constructor
Description
``
`WizardActionGroup(IWorkbenchWindow aWindow, IWizardRegistry aWizardRegistry, String aType)`
``
`WizardActionGroup(IWorkbenchWindow aWindow, IWizardRegistry aWizardRegistry, String aType, INavigatorContentService aContentService)`
``
`WizardActionGroup(IWorkbenchWindow aWindow, IWizardRegistry aWizardRegistry, String aType, INavigatorContentService aContentService, Predicate<IWizardDescriptor> descriptorFilter, boolean useSeparators)`